Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.util.text
Interface AdvancedMessageFormat.PartFactory

All Known Implementing Classes:
  ChoiceFieldPart.Factory, EqualsFieldPart.Factory, EventFormatter.LookupFieldPartFactory, GlyphNameFieldPart.Factory, HexFieldPart.Factory, IfFieldPart.Factory

Enclosing interface:
  AdvancedMessageFormat

public static interface AdvancedMessageFormat.PartFactory

Implementations of this interface parse a field part and return message parts.

Method Summary
`java.lang.String` | `getFormat()` Returns the name of the message part format.
`AdvancedMessageFormat.Part` | `newPart(java.lang.String fieldName, java.lang.String values)` Creates a new part by parsing the values parameter to configure the part.

Method Detail

### newPart

    public AdvancedMessageFormat.Part newPart(java.lang.String fieldName,
                                              java.lang.String values)

  Creates a new part by parsing the values parameter to configure the part.

  Parameters:
    `fieldName` - the field name
    `values` - the unparsed parameter values
  Returns:
    the new message part

### getFormat

    public java.lang.String getFormat()

  Returns the name of the message part format.

  Returns:
    the name of the message part format

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.